#
# spec file for package perl-URI-db
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name URI-db
Name:           perl-URI-db
Version:        0.20
Release:        bp155.1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Database URIs
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DW/DWHEELER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.300000
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(URI) >= 1.40
BuildRequires:  perl(URI::Nested) >= 0.10
Requires:       perl(URI) >= 1.40
Requires:       perl(URI::Nested) >= 0.10
%{perl_requires}

%description
Database URIs

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.md

%changelog
* Tue Jun 21 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.20
  see /usr/share/doc/packages/perl-URI-db/Changes
  0.20  2022-06-20T17:48:44Z
  - Added URI::cockroach and URI::yugabyte.
* Fri Jul 20 2018 coolo@suse.com
- updated to 0.19
  see /usr/share/doc/packages/perl-URI-db/Changes
  0.19  2018-07-19T15:15:04Z
  - Added URI::snowflake.
* Sat Nov  4 2017 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-URI-db/Changes
  0.18  2017-11-03T15:01:43Z
  - Added URI::redshift to support db:redshift: URIs, thanks to a pull
    request from Steve Caldwell (PR #12).
  - Added URI::exasol, thanks to Johan Wärlander.
* Sun Feb  7 2016 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-URI-db/Changes
  0.17  2016-02-03T18:35:33Z
  - Added URI::_ado, which subclasses URI::_odbc to provide a `dbi_dsn()`
    that returns a DSN using DBD::ADO. NOTE: This class is experimental,
    since I was unable to figure out the best default values for the
    connection string -- there are so many options! Feedback and
    recommendations wanted (Issue #11).
  - The `dbi_dsn` method of URI::mssql now supports a single argument to
    specify the DBI driver for which to return a DSN. Pass in "sybase" or
    "ado" (experimental) to get a DSN for either of those drivers,
    instead. Based on work by Dan Muey.
* Tue Sep 22 2015 coolo@suse.com
- updated to 0.16
  see /usr/share/doc/packages/perl-URI-db/Changes
  0.16  2015-09-22T00:17:07Z
  - Added new abstract class, URI::_odbc, for URIs that use ODBC in
    `dbi_dsn`.
  - The `dbi_dsn` method of URI::mssql now returns an ODBC DSN instead of
    DBD::Sybase, since the latter would require Sybase to build.
  - URI::sqlserver now inherits from URI::mssql rather than the other way
    around.
  - Fixed a bug where a URI with three slashes but no authority part after
    the first two would incorrectly think the databse name should be an
    absolute path. That is, in "db:sqlite:///foo.db", the `dbname` value
    is "foo.db", not "/foo.db". Thanks to Dan Book for the report
    (issue #8).
* Tue Apr 14 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
